Foreman - Bug #15137

Error notification stopped to show after going to the same page
05/23/2016 07:26 AM - Ondrej Prazak

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Web Interface
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1335799 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3543
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1335799

Description of problem:

Notification error is shown correctly when | do wrong action on the page, but once | try to open the same page and do the same
action, it stopped to show

Version-Release number of selected component (if applicable):
6.2 GA SNAP11

How reproducible:
Always

Steps to Reproduce:

1. Go to Settings page

2. Try to edit 'Entries per page' setting to invalid value (e.g. 'test’)
3. Notification error is displayed. Close it

4. Go to Settings page once again

5. Try to edit same setting to the same value

Actual results:
Nothing happen, when | perform wrong action on the page

Expected results:
Notification error should be shown all the time

Additional info:

Related issues:
Related to Foreman - Refactor #14178: Replace jnotify with patternfly toast n... Closed 03/14/2016

Associated revisions

Revision 8ee0d81e - 05/29/2016 05:57 AM - Ondiej Prazak

Fixes #15137 - Find correct jnotify container

jnotify creates message container on first use and caches it
internally. When using turbolinks, page body is swapped
but jnotify has no clue about the change and appends the
message to the old container which means no message is
displayed. Giva Labs (the author) provides

plugin zipped without any instructions for contributors

or reference to the repository, that is the reason |

chose to modify jnotify directly.

History

#1 - 05/23/2016 08:30 AM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1335799

- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3543 added

#2 - 05/29/2016 05:31 AM - Tomer Brisker
- Related to Refactor #14178: Replace jnotify with patternfly toast notifications added

#3 - 05/29/2016 06:02 AM - Ondfej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 8ee0d81e35b02b267ea4bbbaea7cecd98eb84e4b.

#4 - 05/31/2016 04:16 AM - Dominic Cleal

- translation missing: en.field_release set to 136
